sc::NElFunctional(3)

NAME
sc::NElFunctional -

The NElFunctional computes the number of electrons.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Member Functions
NElFunctional (const Ref< KeyVal > &)
NElFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point (const PointInputData &, PointOutputData &)

Detailed Description

The NElFunctional computes the number of electrons. It is primarily for testing the integrator.

Member Function Documentation

  void sc::NElFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.